summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild')
-rw-r--r--dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild b/dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild
new file mode 100644
index 000000000000..c963c4dc53f6
--- /dev/null
+++ b/dev-ruby/ruby-atk/ruby-atk-3.3.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+inherit ruby-ng-gnome2
+
+DESCRIPTION="Ruby Atk bindings"
+KEYWORDS="amd64 ~ppc ~x86"
+IUSE=""
+DEPEND+=" dev-libs/atk"
+RDEPEND+=" dev-libs/atk"
+
+ruby_add_rdepend "~dev-ruby/ruby-glib2-${PV}"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on test-unit-notify.
+ sed -i -e '/notify/ s:^:#:' test/atk-test-utils.rb || die
+
+ # Avoid compilation of dependencies during test.
+ sed -i -e '/system/,/^ end/ s:^:#:' test/run-test.rb || die
+}
+
+each_ruby_configure() {
+ :
+}
+
+each_ruby_compile() {
+ :
+}
+
+each_ruby_install() {
+ each_fakegem_install
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}